Bug 24004 - REGRESSION: Ordered list item marker misaligned when line height is not 1.2
Summary: REGRESSION: Ordered list item marker misaligned when line height is not 1.2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Beth Dakin
URL:
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2009-02-18 10:22 PST by Darin Richardson
Modified: 2009-02-24 13:34 PST (History)
2 users (show)

See Also:


Attachments
Test file demonstrating misalignment in list item markers (1.38 KB, text/html)
2009-02-18 10:23 PST, Darin Richardson
no flags Details
Screenshot demonstrating correct rendering in Safari 3.2.1 (37.35 KB, image/png)
2009-02-18 10:36 PST, Darin Richardson
no flags Details
Patch (26.66 KB, patch)
2009-02-24 12:52 PST, Beth Dakin
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Richardson 2009-02-18 10:22:45 PST
When line height is specified via CSS to a value not 1.2 (or variations like 120% or 1.2em), the list item marker's baseline doesn't align with the baseline of the first line of text inside the list item. It's misaligned regardless of applying the line height to the ol or the li and regardless of the marker type specified.
Comment 1 Darin Richardson 2009-02-18 10:23:56 PST
Created attachment 27756 [details]
Test file demonstrating misalignment in list item markers
Comment 2 Darin Richardson 2009-02-18 10:35:09 PST
Occurs in nightly r41018. Safari 3.2.1 renders the lists correctly.
Comment 3 Darin Richardson 2009-02-18 10:36:28 PST
Created attachment 27757 [details]
Screenshot demonstrating correct rendering in Safari 3.2.1
Comment 4 Mark Rowe (bdash) 2009-02-19 02:33:33 PST
<rdar://problem/6602506>
Comment 5 Gavin Sherlock 2009-02-23 11:19:17 PST
bisect-builds.pl says:

Works: r40813  Fails: r40884
Comment 6 Beth Dakin 2009-02-23 13:02:49 PST
Using internal tools, I was able to narrow this down slightly more to between 40828 and 40884.
Comment 7 Beth Dakin 2009-02-24 12:20:55 PST
Oh man. I see the problem. I will have a patch up very soon. This regressed with http://trac.webkit.org/changeset/40880
Comment 8 Beth Dakin 2009-02-24 12:52:11 PST
Created attachment 27926 [details]
Patch
Comment 9 Beth Dakin 2009-02-24 13:34:53 PST
Thanks, Sam! Fixed with revision 41188.